
function [Asp,tWithMDDI,Asp0,tNoMDDI,y,y0] = fexpand(endtime, guessSize, asnForEquilibStart)
%{ 
fexpand:  solves free expansion aspect ratio in time. Compare dipole with no dipole.
 added teh y and y0.
INPUTS
endtime = time in ms to end simulation
guessSize = 2 element array guess at the [radial, axial] size used in 
            solving equilibrium size. Make sure decimal input.
asnForEquilibStart = used when starting for a stable condensate and shifting ASN to collapse BEC.

OUTPUTS
Asp = Aspect ratio calculated with MDDI effects
tWithMDDI  = 1D array of timesteps corresponding to Asp
Asp0 = Aspect ratio (for each ixx) calculated without MDDI effects
tNoMDDI = 1D array of timesteps corresponding to Asp0
%}

global ASN FLG NUM FRA FRP MAS MAG;

endtau=ceil(endtime/1000*2*pi*FRP); % in tau (t*omega_p)

FLG=1;  %FLG=1: with dipole
    asnBackUp = ASN; %this is for when starting for a stable condensate and shifting ASN to collapse BEC.
    ASN = asnForEquilibStart;
[x, fval]=fsolve(@feqntrap,guessSize,optimset('Display','off'));
    ASN=asnBackUp;
[tau1,y]=ode45(@feqnexpand,[0 endtau], [x(1);0;x(2);0]);
Asp=y(:,1)./y(:,3);
tWithMDDI=tau1./(2*pi*FRP)*1000;  %ms

FLG=0;  %FLG=1: bo dipole
    asnBackUp = ASN; %this is for when starting for a stable condensate and shifting ASN to collapse BEC.
    ASN = asnForEquilibStart;
[x, fval]=fsolve(@feqntrap,guessSize,optimset('Display','off'));
    ASN=asnBackUp;
[tau10,y0]=ode45(@feqnexpand,[0 endtau], [x(1);0;x(2);0]);
Asp0=y0(:,1)./y0(:,3);
tNoMDDI=tau10./(2*pi*FRP)*1000;  %ms

